
//项目指引类型
const itemType = {
    job: 0,
    ration: 1
};

function _isDef(v) {
    return typeof v !== 'undefined' && v !== null;
}

// 是否为工序行
function isProcessNode(node) {
    return node && node.depth() % 2 === 0 && _isDef(node.data.type) && node.data.type === itemType.job
}

// 是否是选项行
function isOptionNode(node) {
    return node && node.depth() % 2 === 1 && _isDef(node.data.type) && node.data.type === itemType.job
}

function setTimeoutSync(handle, time) {
    return new Promise(function (resolve, reject) {
        setTimeout(function () {
            if (handle && typeof handle === 'function') {
                handle();
            }
            resolve();
        }, time);
    });
}